Bug Hunting Session
Bug 66890 - EDITING: Double-clicking fill handle should also overwrite down the entire range (until empty cells)
Summary: EDITING: Double-clicking fill handle should also overwrite down the entire ra...
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: lowest enhancement
Assignee: Not Assigned
URL: https://youtu.be/3L5DTFQEOP4?t=43
Whiteboard:
Keywords: needsUXEval
Depends on:
Blocks: AutoFill
  Show dependency treegraph
 
Reported: 2013-07-14 08:14 UTC by p199999991
Modified: 2019-08-28 10:23 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Simple test (8.13 KB, application/x-vnd.oasis.opendocument.spreadsheet)
2019-07-02 09:20 UTC, Timur
Details
fill-down behaviour of the fill-handle (9.91 KB, application/vnd.oasis.opendocument.spreadsheet)
2019-07-03 14:22 UTC, p199999991
Details

Note You need to log in before you can comment on or make changes to this bug.
Description p199999991 2013-07-14 08:14:29 UTC
1. Type SN; 1; 2; 3; 4 in a column.
2. Type "=row(a2)" in A2.
3. Double-click the fill handle of A2.

Problem: The formula does not get filled down from A2 to A5 like it would in Excel.

Use-case: I have data in a standard format, but my last column of data has blank cells, and I inserted a new column on the right with a formula for all rows of data (the first time I need to select the range), then I edited the formula and try to double-click the fill handle, but it does not fill the entire range as expected.

Workaround: I have to type Shift-Ctrl-Down, Ctrl-D
Comment 1 afonit 2013-08-03 01:27:32 UTC Comment hidden (obsolete)
Comment 2 p199999991 2013-08-11 14:18:10 UTC Comment hidden (obsolete)
Comment 3 p199999991 2013-12-01 12:35:22 UTC
Changing the bug status back to new (platform/version was already added previously). Also, to clarify, these are the steps again:
Start with a blank worksheet
Enter "b" in A1.
Enter "a" in A2.
Enter "a" in A3.
Select A1 and double-click the fill handle.
-- Does not fill "b" in the range A1-A3. --
Enter "b" in B1.
Select A1 and double-click the fill handle.
-- Still does not fill "a" in the range A1-A3. --
Select B1 and double-click the fill handle.
-- Fills "b" in the range B1-B3 correctly. --
Select A1 and double-click the fill handle.
-- Fills "b" in the range A1-A3 correctly. --
Comment 4 QA Administrators 2015-04-19 03:23:20 UTC Comment hidden (obsolete)
Comment 5 Buovjaga 2015-06-19 13:00:08 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2016-09-20 10:11:44 UTC Comment hidden (obsolete)
Comment 7 raal 2018-06-12 19:17:04 UTC
still repro steps from comment 3
Version: 6.2.0.0.alpha0+
Build ID: c4c56de1b0e62ec866b519b2b24c5e805f0a86d3
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk3;
Comment 8 Eike Rathke 2019-06-20 16:09:56 UTC
Not a bug. A double click on the auto fill handle should never overwrite existing data. See also bug 108209.
Comment 9 p199999991 2019-06-25 13:09:52 UTC
Sorry, I think the one who closed this bug didn't get the point of this bug report, and also missed the purpose of the fill handle that has always work that way in many other spreadsheet software. I, and many others, have always been using the fill handle in Excel to overwrite data below the cell.

Say we have a formula in one of the columns in a huge spreadsheet that have already been previously dragged down to fill the rows. Now if we want to change that formula we just change it in the first record, and double-click the fill-handle. (Instead of the many more keyboard presses and shortcuts that we will need to execute.)

Please read the instructions in comment 3 and reproduce the bug. The bug is about the inconsistency of this behaviour. The correct behaviour, that you will see in Excel, is that all the records get filled with the formula in the first record. It  is a standard behaviour.
Comment 10 p199999991 2019-06-25 14:21:06 UTC
Sorry about my tone in the beginning of my previous post. I think I have wrongly assumed that Eike didn't correct the inconsistent behaviour, and that the observations in comment 3 would still be exactly the same (that's why I was annoyed). Actually he might have made it such that the last step in comment 3 doesn't even "fill correctly" (according to me).

Still, I disagree with the change in bug 108209, assuming I understand it correctly.
Comment 11 Buovjaga 2019-06-25 16:57:33 UTC Comment hidden (obsolete)
Comment 12 p199999991 2019-07-01 14:47:17 UTC Comment hidden (obsolete)
Comment 13 p199999991 2019-07-01 15:00:18 UTC Comment hidden (obsolete)
Comment 14 Buovjaga 2019-07-02 04:13:14 UTC
Apologies: I mixed this up with bug 108209. The behaviour of Excel matches LibreOffice in the case of bug 108209 now after the fix. When you have a empty cells between the cell data in A column and cells with contents in B column, Excel only fills the empty cells.

If there are no empty cells inbetween, Excel fills while overwriting.
Comment 15 Timur 2019-07-02 09:20:44 UTC
Created attachment 152499 [details]
Simple test

What we have here: 
- this is a RFE, that was never evaluated from UX, so I add it;
- p199999991 himself wrongly set to New and twice Reopened, so I set back to Unconfirmed;
- distinguished Eike wrote that this should not be accepted;
- MSO behaves as requested here, overwriting if there are no empty cells in between (tested with MSO 2016);
- this bug is not opposite to Bug 108209;
- an option should be considered to determine behavior, so that overwriting is possible, not as default;
- even if this is accepted it should be low/lowest priority enhancement. 

p199999991, you are advised NOT to change the status anymore.
Comment 16 p199999991 2019-07-03 14:22:26 UTC Comment hidden (no-value)
Comment 17 p199999991 2019-07-03 14:22:50 UTC
I am not running Windows and can't test the daily builds, but from what I understand, bug 108209 causes the fill-handle to no longer work in the following case:
1. Type 1; 2; 3 in A1 to A3
2. Type =A1 in B1
3. Fill down from B1 to B3
4. Type =A1+1 in B1
5. Double-click the fill-handle in B1

Expected result: The new formula in B1 fills down to B3.
Comment 18 Timur 2019-07-04 12:51:36 UTC Comment hidden (obsolete)
Comment 19 V Stuart Foote 2019-07-04 13:43:33 UTC
As Eike states comment 8, no overwrite of existing data (non-empty cells) by double-click auto-fill handle, which was issue of bug 108209.

The safer usage--as implemented OOo--is to require *clear* (with <Del>) of the cell content after its selection. And only then allow auto-fill handle double-click action--use case requiring one extra step but assuring data integrity.

IMHO alternative option is not a needed enhancement => WF
Comment 20 Eike Rathke 2019-07-09 17:17:49 UTC
(In reply to p199999991 from comment #9)
> missed the purpose of the fill handle that has always work
> that way in many other spreadsheet software.
"many other"? Which except Excel?
Comment 21 Eike Rathke 2019-07-09 17:35:39 UTC
What I'm missing here so far is a clear definition of the circumstances/cases when to overwrite content and when not. Specifically if two or more columns are selected and not all columns have yet content immediately below the selection. Should an overwriting fill be started or not? And how far should be filled, e.g. should the fill stop at the first blank cell anywhere in a row of the selected columns, or should it continue if one of the adjacent cells in the selected columns does have content? The non-overwriting fill (all cells immediately below the selection are blank) is guided by the column immediately left (or right if no data there) and stops if that has no content; what would be expected of an overwriting fill? Stop there as well? Or continue to fill until all data in all selected columns end? Or continue to fill until data in one of the selected columns ends?

Apart from that, I'm not a friend of overwriting data by just double clicking a handle of a selection. Twitching finger and boom..
Comment 22 Heiko Tietze 2019-07-22 09:34:57 UTC
(In reply to Timur from comment #15)
> - distinguished Eike wrote that this should not be accepted;
+1

> - MSO behaves as requested here, overwriting if there are no empty cells in
> between (tested with MSO 2016);

A B
1 x
2
3 a
4
5 b

double click on B1 fills up to B2. MSO2016Pro, haven't checked the gazillion of options to switch behavior.

> - an option should be considered to determine behavior, so that overwriting
> is possible, not as default;

Makes sense as an option to restore the legacy behavior (shouldn't be too difficult with the patch for bug 108209).
Comment 23 Heiko Tietze 2019-07-22 09:37:27 UTC
(In reply to Heiko Tietze from comment #22)
> MSO2016Pro

It's MSO365.
Comment 24 Heiko Tietze 2019-07-25 12:25:21 UTC
No further input so closing as WFM based on c21, c22.
Comment 25 kabilo 2019-08-01 08:28:28 UTC
would it be possible to add the original functionality (eg on ctrl double click)? Now it is not possible to simply copy cell contents (such as a corrected formula) into already filled cells. Thanks

Or should I make a new request?
Comment 26 Heiko Tietze 2019-08-01 08:41:24 UTC
(In reply to kabilo from comment #25)
> Or should I make a new request?

Not sure that your issue is the same as this one. So please create a new ticket.
Comment 27 Timur 2019-08-28 10:23:24 UTC
I don't think this was a proper bug resolution:
 - not WFM anyway, can be only WontFix;
 - "an option should be considered to determine behavior" was proposed in Comment 15 and confirmed in Comment 22, but this was closed instead;
 - kabilo gave a use case (corrected formula) and another proposal (use Ctrl);
 - new Bug 126767 seems the same to me as this one.